Bug 176008

Summary: Web Inspector: Record actions performed on WebGL2RenderingContext
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: bburg, cdumez, commit-queue, dino, drousso, esprehn+autocc, ews-watchlist, graouts, gyuyoung.kim, inspector-bugzilla-changes, joepeck, keith_miller, kondapallykalyan, mark.lam, mattbaker, msaboff, sbarati, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Bug Depends on: 174481    
Bug Blocks: 173807    
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ews117 for mac-highsierra
none
Patch
none
Patch none

Description Devin Rousso 2017-08-26 16:51:55 PDT
Use the protocol/instrumentation logic created in <https://webkit.org/b/174481> Web Inspector: create protocol functions for recording Canvas contexts
Comment 1 Radar WebKit Bug Importer 2017-09-01 13:11:40 PDT
<rdar://problem/34213884>
Comment 2 Devin Rousso 2019-04-19 08:26:54 PDT
Created attachment 367798 [details]
Patch

I thought about it, and even though WebKit's WebGL2 implementation isn't complete, the IDL is standardized and very unlikely to change. :)
Comment 3 EWS Watchlist 2019-04-19 08:29:40 PDT Comment hidden (obsolete)
Comment 4 EWS Watchlist 2019-04-19 15:07:53 PDT Comment hidden (obsolete)
Comment 5 EWS Watchlist 2019-04-19 15:07:55 PDT Comment hidden (obsolete)
Comment 6 Devin Rousso 2019-04-19 16:23:21 PDT
Created attachment 367851 [details]
Patch
Comment 7 Joseph Pecoraro 2019-05-02 19:32:58 PDT
Comment on attachment 367851 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=367851&action=review

Nice! rs=me

> Source/WebInspectorUI/UserInterface/Views/CanvasSidebarPanel.js:215
> +        if (this._recording) {
> +            this._recordingTreeOutline.updateVirtualizedElementsDebouncer.force();

What is this code in CanvasSidebarPanel? Seems new and unexplained.

> Source/WebInspectorUI/UserInterface/Views/RecordingContentView.js:181
> +        this._updateSliderValue();

Another drive-by? Seems good!
Comment 8 Devin Rousso 2019-05-03 00:24:38 PDT
Comment on attachment 367851 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=367851&action=review

>> Source/WebInspectorUI/UserInterface/Views/CanvasSidebarPanel.js:215
>> +            this._recordingTreeOutline.updateVirtualizedElementsDebouncer.force();
> 
> What is this code in CanvasSidebarPanel? Seems new and unexplained.

This ensures that the initial action is selected as soon as it's visible rather than have to wait a frame for it to populate (the debounce).

>> Source/WebInspectorUI/UserInterface/Views/RecordingContentView.js:181
>> +        this._updateSliderValue();
> 
> Another drive-by? Seems good!

And this is for the same reason.
Comment 9 WebKit Commit Bot 2019-05-03 00:26:59 PDT Comment hidden (obsolete)
Comment 10 Devin Rousso 2019-05-03 00:31:29 PDT
Created attachment 368909 [details]
Patch
Comment 11 WebKit Commit Bot 2019-05-03 09:36:22 PDT
Comment on attachment 368909 [details]
Patch

Clearing flags on attachment: 368909

Committed r244908: <https://trac.webkit.org/changeset/244908>
Comment 12 WebKit Commit Bot 2019-05-03 09:36:24 PDT
All reviewed patches have been landed.  Closing bug.